%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%if !%{opt}
%global debug_package %{nil}
%endif

%global pkgname ocplib-simplex

Name:           ocaml-%{pkgname}
Version:        0.3
Release:        8%{?dist}
Summary:        Simplex algorithm for solving systems of linear inequalities

# The same exception to clause 6 as provided by ocaml applies to this package.
License:        LGPLv2 with exceptions
URL:            https://github.com/OCamlPro-Iguernlala/ocplib-simplex
Source0:        https://github.com/OCamlPro-Iguernlala/%{pkgname}/archive/%{version}/%{pkgname}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib

%description
This package contains a library implementing a simplex algorithm, in a
functional style, for solving systems of linear inequalities and
optimizing linear objective functions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{pkgname}-%{version}
autoconf

%build
%configure
%if %opt
make %{?_smp_mflags} opt
%else
make %{?_smp_mflags} byte
%endif

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%check
make local-tests

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/%{pkgname}/
%if %opt
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%endif
%exclude %{_libdir}/ocaml/*/*.mli

%files devel
%doc extra/simplex_invariants.txt
%if %opt
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%endif
%{_libdir}/ocaml/*/*.mli

%changelog
* Mon Aug 07 2017 Richard W.M. Jones <rjones@redhat.com> - 0.3-8
- OCaml 4.05.0 rebuild.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 26 2017 Richard W.M. Jones <rjones@redhat.com> - 0.3-5
- OCaml 4.04.2 rebuild.

* Fri May 12 2017 Richard W.M. Jones <rjones@redhat.com> - 0.3-4
- OCaml 4.04.1 rebuild.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Nov 28 2016 Jerry James <loganjerry@gmail.com> - 0.3-2
- Use the _isa macro in the -devel dependency on the main package
- Let the install step create META implicitly
- Use a more verbose Source0 URL

* Mon Nov 28 2016 Jerry James <loganjerry@gmail.com> - 0.3-1
- Initial RPM
